<% cache page do %>
  <span>
     <%= link_to page.title, { action: :edit, id: page.id } %>
  </span>

  <nav class="controls">
    <% if page.drafted? %>
      <%= link_to url_for(action: :preview, id: page.id), title: 'Preview',
                  target: '_blank' do %>
        <i class="fa fa-eye"></i>
      <% end %>
    <% else %>
      <%= link_to page, title: 'View Live (in a new window)',
                  target: '_blank' do %>
        <i class="fa fa-share"></i>
      <% end %>
    <% end %>

    <%= link_to url_for(action: :new, param_key => { parent_id: page.id }),
                title: 'Add child item' do %>
      <i class="fa fa-plus-circle"></i>
    <% end %>

    <%= link_to url_for(action: :edit, id: page.id), title: 'Edit' do %>
      <i class="fa fa-edit"></i>
    <% end %>

    <%= link_to url_for(action: :destroy, id: page.id), method: :delete,
                data: { confirm: t('evergreen.delete.confirm') },
                title: 'Delete' do %>
      <i class="fa fa-trash-o"></i>
    <% end %>
  </nav>

  <%= state_label(page.state) %>
  <%= hidden_label(page) %>
<% end %>